## golang-github-linuxdeepin-go-x11-client 0.6.9

=== Makefile ===
PREFIX = /usr
GOSITE_DIR = ${PREFIX}/share/gocode
GOPKG_PERFIX = github.com/linuxdeepin/go-x11-client
SRC_DIR=${DESTDIR}${GOSITE_DIR}/src/${GOPKG_PERFIX}

all: build

build:
	echo ignore build

print_gopath:
	GOPATH="${CURDIR}/${GOPATH_DIR}:${GOPATH}"

install:
	mkdir -p ${SRC_DIR}
	cp *.go ${SRC_DIR}
	cp -r ext ${SRC_DIR}
	cp -r util ${SRC_DIR}

## golang-github-linuxdeepin-go-x11-client 0.6.0

=== debian/changelog ===
golang-github-linuxdeepin-go-x11-client (0.6.0-2) unstable; urgency=high

  [ Arun Kumar Pariyar ]
  * debian/control: remove golang-github-gavv-monotime-dev from dependency.
    This is no longer needed.

  [ Boyuan Yang ]
  * Add Debian Go Packaging Team into package uploader list.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jun 2020 21:07:46 -0400

golang-github-linuxdeepin-go-x11-client (0.6.0-1) unstable; urgency=medium

  * Upload to unstable. 

 -- Boyuan Yang <byang@debian.org>  Fri, 29 May 2020 07:55:27 -0400

golang-github-linuxdeepin-go-x11-client (0.6.0-1~exp1) experimental; urgency=medium

  * Initial Release as 0.6.0.

 -- Arun Kumar Pariyar <openarungeek@gmail.com>  Fri, 22 May 2020 02:53:15 +0545

=== debian/control ===
Source: golang-github-linuxdeepin-go-x11-client
Section: devel
Priority: optional
Maintainer: Debian Deepin Packaging Team <pkg-deepin-devel@lists.alioth.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
 Arun Kumar Pariyar <openarungeek@gmail.com>,
 Debian Go Packaging Team <team+pkg-go@tracker.debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-golang,
 golang-any,
 golang-github-stretchr-testify-dev (>= 1.1.4),
 golang-golang-x-text-dev (>= 0.0~git20161013),
 golang-gopkg-check.v1-dev,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Homepage: https://github.com/linuxdeepin/go-x11-client
Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-x11-client
Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-x11-client
XS-Go-Import-Path: github.com/linuxdeepin/go-x11-client
Testsuite: autopkgtest-pkg-go

Package: golang-github-linuxdeepin-go-x11-client-dev
Architecture: all
Section: devel
Depends:
 golang-gopkg-check.v1-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Description: deepin go x11 client
 This package provides X11 protocol go language binding required by DDE.

## golang-github-linuxdeepin-go-x11-client 0.6.3

=== debian/changelog ===
golang-github-linuxdeepin-go-x11-client (0.6.3-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Sat, 26 Dec 2020 11:54:46 -0500

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  golang-golang-x-text-dev (>= 0.0~git20161013),
  golang-gopkg-check.v1-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/go-x11-client
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-x11-client
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-x11-client

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-linuxdeepin-go-x11-client-$1.tar.gz%" \
 https://github.com/linuxdeepin/go-x11-client/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## golang-github-linuxdeepin-go-x11-client 0.6.7

=== debian/changelog ===
golang-github-linuxdeepin-go-x11-client (0.6.7-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Aug 2021 11:07:28 -0400

golang-github-linuxdeepin-go-x11-client (0.6.4-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Fri, 02 Apr 2021 20:17:30 -0400

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,13 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://github.com/linuxdeepin/go-x11-client
-Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-x11-client
+Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-x11-client.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-x11-client
 XS-Go-Import-Path: github.com/linuxdeepin/go-x11-client
 Testsuite: autopkgtest-pkg-go
 
 Package: golang-github-linuxdeepin-go-x11-client-dev
 Architecture: all
-Section: devel
 Depends:
  golang-gopkg-check.v1-dev,
  ${misc:Depends},

## golang-github-linuxdeepin-go-x11-client 0.6.9

=== debian/changelog ===
golang-github-linuxdeepin-go-x11-client (0.6.9-1) unstable; urgency=medium

  * New upstream release. 

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Apr 2022 15:52:01 -0400

golang-github-linuxdeepin-go-x11-client (0.6.8-1) unstable; urgency=medium

  * New upstream release. 
  * debian/control: Bump Standards-Version to 4.6.0.

 -- Boyuan Yang <byang@debian.org>  Fri, 18 Mar 2022 16:27:38 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  golang-golang-x-text-dev (>= 0.0~git20161013),
  golang-gopkg-check.v1-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/linuxdeepin/go-x11-client
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-x11-client.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-x11-client
@@ -26,6 +26,5 @@
 Depends:
  golang-gopkg-check.v1-dev,
  ${misc:Depends},
- ${shlibs:Depends},
 Description: deepin go x11 client
  This package provides X11 protocol go language binding required by DDE.

=== debian/rules ===
#!/usr/bin/make -f

export GOCACHE := /tmp/gocache
export DH_GOLANG_EXCLUDES := tools/gen util/tool/gen-keysymdef

ifeq ($(DEB_BUILD_ARCH),sw_64)
%:
	dh $@
else
%:
	dh $@ --buildsystem=golang --with=golang
endif


override_dh_auto_clean:
	dh_auto_clean --
	rm -fr obj-x86_64-linux-gnu

## golang-github-linuxdeepin-go-x11-client 1.0.2

=== debian/changelog ===
golang-github-linuxdeepin-go-x11-client (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 10 Jul 2024 22:29:46 -0400

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  golang-golang-x-text-dev (>= 0.0~git20161013),
  golang-gopkg-check.v1-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://github.com/linuxdeepin/go-x11-client
 Vcs-Git: https://salsa.debian.org/pkg-deepin-team/go-x11-client.git
 Vcs-Browser: https://salsa.debian.org/pkg-deepin-team/go-x11-client
